/*
 * @Author: SunTao 328867980@qq.com
 * @Date: 2025-02-13 09:11:50
 * @LastEditors: SunTao 328867980@qq.com
 * @LastEditTime: 2025-02-14 14:39:30
 * @FilePath: \znxjxt-ui\src\api\xj\hisense\ramp.js
 * @Description: 海信-互通立交
 */
import request from "@/utils/request";

// 获取列表数据
export function getList(query) {
  return request({
    url: "/hxramp/page",
    method: "get",
    params: query,
  });
}

// 新增数据
export function add(data) {
  return request({
    url: "/hxramp",
    method: "post",
    data,
  });
}

// 更新数据
export function updata(data) {
  return request({
    url: "/hxramp",
    method: "put",
    data,
  });
}

// 删除数据
export function delData(id) {
  return request({
    url: `/hxramp/${id}`,
    method: "delete",
  });
}

// 获取匝道下拉数据
export function getDropDown(params) {
  return request({
    url: "/hxramp/dropDown",
    method: "get",
    params,
  });
}

// 获取互通立交下拉数据
export function getCrossDropDown(params) {
  return request({
    url: "/hxCross/dropDown",
    method: "get",
    params,
  });
}
